OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.QueryResourceTag

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVQueryResourceTag :: MonadIO m => m Bool
- gl_NV_query_resource_tag :: Bool
- glDeleteQueryResourceTagNV :: MonadIO m => GLsizei -> Ptr GLint -> m ()
- glGenQueryResourceTagNV :: MonadIO m => GLsizei -> Ptr GLint -> m ()
- glQueryResourceTagNV :: MonadIO m => GLint -> Ptr GLchar -> m ()

# Extension Support

glGetNVQueryResourceTag :: MonadIO m => m Bool Source #

Is the NV_query_resource_tag extension supported?

gl_NV_query_resource_tag :: Bool Source #

Is the NV_query_resource_tag extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVQueryResourceTag` in those cases instead.

# Functions

glDeleteQueryResourceTagNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLint | `tagIds` pointing to `n` elements of type `GLint`.
-> m () |

glGenQueryResourceTagNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLint | `tagIds` pointing to `n` elements of type `GLint`.
-> m () |

glQueryResourceTagNV Source #

Arguments

:: MonadIO m |
=> GLint | `tagId`.
-> Ptr GLchar | `tagString`.
-> m () |